# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1148  -> 1.1149 
#	include/asm-i386/acpi.h	1.9     -> 1.10   
#	include/asm-x86_64/acpi.h	1.3     -> 1.4    
#	arch/x86_64/kernel/Makefile	1.4     -> 1.5    
#	arch/x86_64/kernel/mpparse.c	1.5     -> 1.6    
#	include/asm-i386/io_apic.h	1.12    -> 1.13   
#	include/asm-x86_64/io_apic.h	1.3     -> 1.4    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/11/18	len.brown@intel.com	1.1149
# [ACPI] fix x86_64 !CONFIG_ACPI build
# --------------------------------------------
#
diff -Nru a/arch/x86_64/kernel/Makefile b/arch/x86_64/kernel/Makefile
--- a/arch/x86_64/kernel/Makefile	Tue Nov 18 13:45:51 2003
+++ b/arch/x86_64/kernel/Makefile	Tue Nov 18 13:45:51 2003
@@ -37,7 +37,7 @@
 obj-$(CONFIG_GART_IOMMU) += pci-gart.o aperture.o
 obj-$(CONFIG_DUMMY_IOMMU) += pci-nommu.o
 obj-$(CONFIG_MCE) += bluesmoke.o
-obj-$(CONFIG_ACPI)		+= acpi.o
+obj-$(CONFIG_ACPI_BOOT)		+= acpi.o
 obj-$(CONFIG_ACPI_SLEEP)	+= acpi_wakeup.o suspend.o
  
 
diff -Nru a/arch/x86_64/kernel/mpparse.c b/arch/x86_64/kernel/mpparse.c
--- a/arch/x86_64/kernel/mpparse.c	Tue Nov 18 13:45:51 2003
+++ b/arch/x86_64/kernel/mpparse.c	Tue Nov 18 13:45:51 2003
@@ -691,7 +691,7 @@
 	MP_processor_info(&processor);
 }
 
-#ifdef CONFIG_X86_IO_APIC
+#if defined(CONFIG_X86_IO_APIC) && defined(CONFIG_ACPI_INTERPRETER)
 
 #define MP_ISA_BUS		0
 #define MP_MAX_IOAPIC_PIN	127
@@ -1034,6 +1034,6 @@
 
 #endif /*CONFIG_ACPI_PCI*/
 
-#endif /*CONFIG_X86_IO_APIC*/
+#endif /*CONFIG_X86_IO_APIC && CONFIG_ACPI_INTERPRETER*/
 
 #endif /*CONFIG_ACPI_BOOT*/
diff -Nru a/include/asm-i386/acpi.h b/include/asm-i386/acpi.h
--- a/include/asm-i386/acpi.h	Tue Nov 18 13:45:51 2003
+++ b/include/asm-i386/acpi.h	Tue Nov 18 13:45:51 2003
@@ -110,34 +110,14 @@
 extern int acpi_lapic;
 extern int acpi_ioapic;
 
-
 /* Fixmap pages to reserve for ACPI boot-time tables (see fixmap.h) */
 #define FIX_ACPI_PAGES 4
 
-#ifdef CONFIG_X86_IO_APIC
-extern int skip_ioapic_setup;
-
-static inline void disable_ioapic_setup(void)
-{
-	skip_ioapic_setup = 1;
-}
-
-static inline int ioapic_setup_disabled(void)
-{
-	return skip_ioapic_setup;
-}
-
-#else
-static inline void disable_ioapic_setup(void)
-{ }
-
-#endif
-
-#else	/* CONFIG_ACPI_BOOT */
+#else	/* !CONFIG_ACPI_BOOT */
 #  define acpi_lapic 0
 #  define acpi_ioapic 0
 
-#endif
+#endif	/* !CONFIG_ACPI_BOOT */
 
 #ifdef CONFIG_ACPI_PCI
 extern int acpi_irq_balance_set(char *str);
diff -Nru a/include/asm-i386/io_apic.h b/include/asm-i386/io_apic.h
--- a/include/asm-i386/io_apic.h	Tue Nov 18 13:45:51 2003
+++ b/include/asm-i386/io_apic.h	Tue Nov 18 13:45:51 2003
@@ -131,9 +131,6 @@
 	(void) *(IO_APIC_BASE(apic)+4);
 }
 
-/* 1 if "noapic" boot option passed */
-extern int skip_ioapic_setup;
-
 /*
  * If we use the IO-APIC for IRQ routing, disable automatic
  * assignment of PCI IRQ's.
@@ -147,8 +144,24 @@
 extern int io_apic_set_pci_routing (int ioapic, int pin, int irq, int edge_level, int active_high_low);
 #endif
 
-#else  /* !CONFIG_X86_IO_APIC */
+extern int skip_ioapic_setup;	/* 1 for "noapic" */
+
+static inline void disable_ioapic_setup(void)
+{
+	skip_ioapic_setup = 1;
+}
+
+static inline int ioapic_setup_disabled(void)
+{
+	return skip_ioapic_setup;
+}
+
+#else	/* !CONFIG_X86_IO_APIC */
 #define io_apic_assign_pci_irqs 0
-#endif
+
+static inline void disable_ioapic_setup(void)
+{ }
+
+#endif	/* !CONFIG_X86_IO_APIC */
 
 #endif
diff -Nru a/include/asm-x86_64/acpi.h b/include/asm-x86_64/acpi.h
--- a/include/asm-x86_64/acpi.h	Tue Nov 18 13:45:51 2003
+++ b/include/asm-x86_64/acpi.h	Tue Nov 18 13:45:51 2003
@@ -112,25 +112,6 @@
 /* Fixmap pages to reserve for ACPI boot-time tables (see fixmap.h) */
 #define FIX_ACPI_PAGES 4
 
-#ifdef CONFIG_X86_IO_APIC
-extern int skip_ioapic_setup;
-
-static inline void disable_ioapic_setup(void)
-{
-	skip_ioapic_setup = 1;
-}
-
-static inline int ioapic_setup_disabled(void)
-{
-	return skip_ioapic_setup;
-}
-
-#else
-static inline void disable_ioapic_setup(void)
-{ }
-
-#endif
-
 #else	/* CONFIG_ACPI_BOOT */
 #  define acpi_lapic 0
 #  define acpi_ioapic 0
diff -Nru a/include/asm-x86_64/io_apic.h b/include/asm-x86_64/io_apic.h
--- a/include/asm-x86_64/io_apic.h	Tue Nov 18 13:45:51 2003
+++ b/include/asm-x86_64/io_apic.h	Tue Nov 18 13:45:51 2003
@@ -141,9 +141,26 @@
  */
 #define io_apic_assign_pci_irqs (mp_irq_entries && !skip_ioapic_setup)
 
-#else  /* !CONFIG_X86_IO_APIC */
+extern int skip_ioapic_setup;	/* 1 for "noapic" */
+
+static inline void disable_ioapic_setup(void)
+{
+	skip_ioapic_setup = 1;
+}
+
+static inline int ioapic_setup_disabled(void)
+{
+	return skip_ioapic_setup;
+}
+
+#else	/* !CONFIG_X86_IO_APIC */
+
 #define io_apic_assign_pci_irqs 0
-#endif
+
+static inline void disable_ioapic_setup(void)
+{ }
+
+#endif	/* !CONFIG_X86_IO_APIC */
 
 extern int io_apic_get_unique_id (int ioapic, int apic_id);
 extern int io_apic_get_version (int ioapic);
